[fName,pName] = uigetfile('DialogTitle','Select Point Model Files','MultiSelect','on');

for i = 1:numel(fName)
    waitbar(i / numel(fName))
    %load the point file and reshape the points
    if (~isa(fName,'cell'))
        pc = load([pName,fName]);
    else
        pc = load([pName,fName{i}]);
    end
    pc = pc.pts;
    pc = reshape(pc,2,40);
    figure(1)
    hold on
    plot(pc(1,:),pc(2,:),'bo')
end